Bug 1045334 - Migration failed for different qemu-kvm version on two hosts
Summary: Migration failed for different qemu-kvm version on two hosts
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: qemu-kvm
Version: 7.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: rc
: ---
Assignee: Hai Huang
QA Contact: Virtualization Bugs
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-12-20 07:48 UTC by langfang
Modified: 2014-01-02 19:10 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-01-02 19:10:42 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description langfang 2013-12-20 07:48:24 UTC
Description of problem:
Migration failed for different qemu-kvm version .

Version-Release number of selected component (if applicable):
Host A:
# uname -r
3.10.0-63.el7.x86_64
# rpm -q qemu-kvm
qemu-kvm-1.5.3-30.el7.x86_64

Host B:
# uname -r
3.10.0-61.el7.x86_64
# rpm -q qemu-kvm
qemu-kvm-rhev-1.5.3-21.el7.x86_64


Guest:win2008sp2-32

How reproducible:

100%

Steps to Reproduce:
1.Boot guest on Host A
 /usr/libexec/qemu-kvm -enable-kvm -M pc-i440fx-rhel7.0.0 -cpu Opteron_G1,hv_spinlocks=0x1fff,hv_relaxed,hv_vapic -m 2048 -smp 2,sockets=2,coresads=1 -name usb-device -uuid c43826c6-8d42-4574-80c5-e78e0dd6b232 -rtc base=localtime,clock=host,driftfix=slew  -drive file=/mnt/win2008sp2-32-newinstall.qcow2_v3,if=none,id=drive-system-disk,format=qcow2,aio=native,werror=stop,rerror=stop -device virtio-blk-pci,scsi=off,drive=drive-system-disk,id=system-disk,bootindex=2,addr=0x3 -netdev tap,id=hostnet0,script=/etc/qemu-ifup,downscript=no -device virtio-net-pci,netdev=hostnet0,mac=00:15:65:01:3a:20,addr=0x4 -global PIIX4_PM.disable_s3=0 -global PIIX4_PM.disable_s4=0 -spice port=5830,disable-ticketing -vga qxl -monitor stdio -qmp tcp:0:4444,server,nowait -serial unix:/tmp/tty0,server,nowait -device virtio-balloon-pci,id=balloon0,addr=0x9 -boot menu=on

2.Host B
...-incoming tcp:0:5999

3.Migrate from HostA--->HostB
(qemu)migrate -d tcp:10.66.106.21:5999

Actual results:
Src-->HostA:
(qemu) migrate -d tcp:10.66.106.21:5999
(qemu) info migrate
capabilities: xbzrle: off x-rdma-pin-all: off auto-converge: off zero-blocks: off 
Migration status: failed
total time: 0 milliseconds
(qemu) info status
VM status: running

Des:-->Host B
(qemu) Unknown ramblock "/rom@genroms/kvmvapic.bin", cannot accept migration
qemu: warning: error while loading state for instance 0x0 of device 'ram'
load of migration failed


Expected results:

Can be migrate successfully

Additional info:

1)If migrate from hostB--->host A,successfully


2)Host B:
model name	: AMD Phenom(tm) II X4 B95 Processor


Host A:
model name	: AMD Opteron(tm) Processor 4284

Comment 1 langfang 2013-12-20 07:50:30 UTC
addtional info: If update two hosts qemu-kvm version to the same version (EG:qemu-kvm-1.5.3-30.el7.x86_64),migration successfully.

Comment 3 Orit Wasserman 2013-12-20 11:21:13 UTC
Hi,
Can you print the output of /proc/cpuinfo on both hosts?

Comment 4 langfang 2013-12-23 02:21:35 UTC
H(In reply to Orit Wasserman from comment #3)
> Hi,
> Can you print the output of /proc/cpuinfo on both hosts?

Host B:
processor	: 3
vendor_id	: AuthenticAMD
cpu family	: 16
model		: 4
model name	: AMD Phenom(tm) II X4 B95 Processor
stepping	: 2
microcode	: 0x1000086
cpu MHz		: 800.000
cache size	: 512 KB
physical id	: 0
siblings	: 4
core id		: 3
cpu cores	: 4
apicid		: 3
initial apicid	: 3
fpu		: yes
fpu_exception	: yes
cpuid level	: 5
wp		: yes
flags		: fpu vme de pse tsc msr pae mce cx8 apic sep mtrr pge mca cmov pat pse36 clflush mmx fxsr sse sse2 ht syscall nx mmxext fxsr_opt pdpe1gb rdtscp lm 3dnowext 3dnow constant_tsc rep_good nopl nonstop_tsc extd_apicid pni monitor cx16 popcnt lahf_lm cmp_legacy svm extapic cr8_legacy abm sse4a misalignsse 3dnowprefetch osvw ibs skinit wdt hw_pstate npt lbrv svm_lock nrip_save
bogomips	: 5985.02
TLB size	: 1024 4K pages
clflush size	: 64
cache_alignment	: 64
address sizes	: 48 bits physical, 48 bits virtual
power management: ts ttp tm stc 100mhzsteps hwpstate

****************************
Host A:
processor	: 15
vendor_id	: AuthenticAMD
cpu family	: 21
model		: 1
model name	: AMD Opteron(tm) Processor 4284                 
stepping	: 2
microcode	: 0x6000624
cpu MHz		: 3000.290
cache size	: 2048 KB
physical id	: 1
siblings	: 8
core id		: 7
cpu cores	: 4
apicid		: 23
initial apicid	: 23
fpu		: yes
fpu_exception	: yes
cpuid level	: 13
wp		: yes
flags		: fpu vme de pse tsc msr pae mce cx8 apic sep mtrr pge mca cmov pat pse36 clflush mmx fxsr sse sse2 ht syscall nx mmxext fxsr_opt pdpe1gb rdtscp lm constant_tsc rep_good nopl nonstop_tsc extd_apicid aperfmperf pni pclmulqdq monitor ssse3 cx16 sse4_1 sse4_2 popcnt aes xsave avx lahf_lm cmp_legacy svm extapic cr8_legacy abm sse4a misalignsse 3dnowprefetch osvw ibs xop skinit wdt lwp fma4 nodeid_msr topoext perfctr_core perfctr_nb arat cpb hw_pstate npt lbrv svm_lock nrip_save tsc_scale vmcb_clean flushbyasid decodeassists pausefilter pfthreshold
bogomips	: 5999.60
TLB size	: 1536 4K pages
clflush size	: 64
cache_alignment	: 64
address sizes	: 48 bits physical, 48 bits virtual
power management: ts ttp tm 100mhzsteps hwpstate cpb

Comment 5 Orit Wasserman 2013-12-23 08:05:37 UTC
Does it happen when you migrate from the same qem version on this hosts?
(qemu-kvm or qemu-rhev)

Comment 6 langfang 2013-12-23 23:45:44 UTC
(In reply to Orit Wasserman from comment #5)
> Does it happen when you migrate from the same qem version on this hosts?
> (qemu-kvm or qemu-rhev)

not hit this problem when migrate from the same qemu version,please see 
commment 1.

Comment 9 langfang 2013-12-27 09:32:11 UTC
*This bug can not reproduce as follow version:

Migrate from HostB to HostA
Host B(qemu-kvm-1.5.3-30.el7.x86_64)-->HostA(qemu-kvm-1.5.3-24.el7.x86_64)

Host B(qemu-kvm-1.5.3-30.el7.x86_64)-->HostA(qemu-kvm-1.5.3-25.el7.x86_64)


*Can reproduce as follow version:

Migrate from HostB to HostA

Host B(qemu-kvm-1.5.3-30.el7.x86_64)-->HostA(qemu-kvm-1.5.3-23.el7.x86_64)

Host B(qemu-kvm-1.5.3-30.el7.x86_64)-->HostA(qemu-kvm-1.5.3-22.el7.x86_64)


Note You need to log in before you can comment on or make changes to this bug.